setwd("")

template <- scan("simulation_template.R", what="", sep="\n")
allModels <- scan("simulations_base.R", what="", sep="\n")
thisWD <- getwd()

for(x in 1:length(allModels)) {
	simX <- allModels[x]
	model <- strsplit(simX, " <-")[[1]][1]
	justTreePos <- gregexpr("_", model)[[1]][2] - 1
	tree <- substr(simX, 1, justTreePos)
	all <- c(simX, paste0("res <- model_sim(", tree, ", ", model, ", n_core=8)"), paste0("dput(res, \"",  model, ".txt\")"))
	write.table(c(template, all), paste0(thisWD, "/", model, ".R"), quote=F, row.names=F, col.names=F)
	}