tree_50_bm_1 <- cladeModeSim(n=1000, phy=tree_50, model="BM", beta=1)
tree_100_bm_1 <- cladeModeSim(n=1000, phy=tree_100, model="BM", beta=1)
tree_200_bm_1 <- cladeModeSim(n=1000, phy=tree_200, model="BM", beta=1)
tree_500_bm_1 <- cladeModeSim(n=1000, phy=tree_500, model="BM", beta=1)
tree_50_eb_1 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 1)
tree_50_eb_0.95 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 0.95)
tree_50_eb_0.75 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 0.75)
tree_50_eb_0.5 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 0.55)
tree_50_eb_0.25 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 0.25)
tree_50_eb_0.05 <- cladeModeSim(n=1000, phy=tree_50, model="EB", beta=1, a=max_50_100_tips * 0.05)
tree_100_eb_1 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 1)
tree_100_eb_0.95 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 0.95)
tree_100_eb_0.75 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 0.75)
tree_100_eb_0.5 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 0.5)
tree_100_eb_0.25 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 0.25)
tree_100_eb_0.05 <- cladeModeSim(n=1000, phy=tree_100, model="EB", beta=1, a=max_50_100_tips * 0.05)
tree_200_eb_1 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 1)
tree_200_eb_0.95 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 0.95)
tree_200_eb_0.75 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 0.75)
tree_200_eb_0.5 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 0.5)
tree_200_eb_0.25 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 0.25)
tree_200_eb_0.05 <- cladeModeSim(n=1000, phy=tree_200, model="EB", beta=1, a=max_200_500_tips * 0.05)
tree_500_eb_1 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 1)
tree_500_eb_0.95 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 0.95)
tree_500_eb_0.75 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 0.75)
tree_500_eb_0.5 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 0.5)
tree_500_eb_0.25 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 0.25)
tree_500_eb_0.05 <- cladeModeSim(n=1000, phy=tree_500, model="EB", beta=1, a=max_200_500_tips * 0.05)
tree_50_ou_1 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 1)
tree_50_ou_0.95 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 0.95)
tree_50_ou_0.75 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 0.75)
tree_50_ou_0.5 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 0.5)
tree_50_ou_0.25 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 0.25)
tree_50_ou_0.05 <- cladeModeSim(n=1000, phy=tree_50, model="OU", beta=1, alpha=exp(1) * 0.05)
tree_100_ou_1 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 1)
tree_100_ou_0.95 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 0.95)
tree_100_ou_0.75 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 0.75)
tree_100_ou_0.5 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 0.5)
tree_100_ou_0.25 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 0.25)
tree_100_ou_0.05 <- cladeModeSim(n=1000, phy=tree_100, model="OU", beta=1, alpha=exp(1) * 0.05)
tree_200_ou_1 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 1)
tree_200_ou_0.95 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 0.95)
tree_200_ou_0.75 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 0.75)
tree_200_ou_0.5 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 0.5)
tree_200_ou_0.25 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 0.25)
tree_200_ou_0.05 <- cladeModeSim(n=1000, phy=tree_200, model="OU", beta=1, alpha=exp(1) * 0.05)
tree_500_ou_1 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 1)
tree_500_ou_0.95 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 0.95)
tree_500_ou_0.75 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 0.75)
tree_500_ou_0.5 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 0.5)
tree_500_ou_0.25 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 0.25)
tree_500_ou_0.05 <- cladeModeSim(n=1000, phy=tree_500, model="OU", beta=1, alpha=exp(1) * 0.05)
tree_50_nested_eb_1 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 1)
tree_50_nested_eb_0.95 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 0.95)
tree_50_nested_eb_0.75 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 0.75)
tree_50_nested_eb_0.5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 0.5)
tree_50_nested_eb_0.25 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 0.25)
tree_50_nested_eb_0.05 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEB", beta=1, a=max_50_100_tips * 0.05)
tree_100_nested_eb_1 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 1)
tree_100_nested_eb_0.95 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 0.95)
tree_100_nested_eb_0.75 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 0.75)
tree_100_nested_eb_0.5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 0.5)
tree_100_nested_eb_0.25 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 0.25)
tree_100_nested_eb_0.05 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEB", beta=1, a=max_50_100_tips * 0.05)
tree_200_nested_eb_1 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 1)
tree_200_nested_eb_0.95 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 0.95)
tree_200_nested_eb_0.75 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 0.75)
tree_200_nested_eb_0.5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 0.5)
tree_200_nested_eb_0.25 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 0.25)
tree_200_nested_eb_0.05 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEB", beta=1, a=max_200_500_tips * 0.05)
tree_500_nested_eb_1 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 1)
tree_500_nested_eb_0.95 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 0.95)
tree_500_nested_eb_0.75 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 0.75)
tree_500_nested_eb_0.5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 0.5)
tree_500_nested_eb_0.25 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 0.25)
tree_500_nested_eb_0.05 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEB", beta=1, a=max_200_500_tips * 0.05)
tree_50_nested_eb_rate2_1 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 1)
tree_50_nested_eb_rate2_0.95 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate2_0.75 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate2_0.5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate2_0.25 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate2_0.05 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.05)
tree_50_nested_eb_rate5_1 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 1)
tree_50_nested_eb_rate5_0.95 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate5_0.75 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate5_0.5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate5_0.25 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate5_0.05 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.05)
tree_50_nested_eb_rate10_1 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 1)
tree_50_nested_eb_rate10_0.95 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate10_0.75 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate10_0.5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate10_0.25 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate10_0.05 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate2_1 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 1)
tree_100_nested_eb_rate2_0.95 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate2_0.75 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate2_0.5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate2_0.25 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate2_0.05 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate5_1 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 1)
tree_100_nested_eb_rate5_0.95 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate5_0.75 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate5_0.5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate5_0.25 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate5_0.05 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate10_1 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 1)
tree_100_nested_eb_rate10_0.95 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate10_0.75 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate10_0.5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate10_0.25 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate10_0.05 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.05)
tree_200_nested_eb_rate2_1 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 1)
tree_200_nested_eb_rate2_0.95 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate2_0.75 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate2_0.5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate2_0.25 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate2_0.05 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.05)
tree_200_nested_eb_rate5_1 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 1)
tree_200_nested_eb_rate5_0.95 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate5_0.75 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate5_0.5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate5_0.25 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate5_0.05 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.05)
tree_200_nested_eb_rate10_1 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 1)
tree_200_nested_eb_rate10_0.95 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate10_0.75 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate10_0.5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate10_0.25 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate10_0.05 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate2_1 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 1)
tree_500_nested_eb_rate2_0.95 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate2_0.75 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate2_0.5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate2_0.25 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate2_0.05 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate5_1 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 1)
tree_500_nested_eb_rate5_0.95 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate5_0.75 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate5_0.5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate5_0.25 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate5_0.05 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate10_1 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 1)
tree_500_nested_eb_rate10_0.95 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate10_0.75 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate10_0.5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate10_0.25 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate10_0.05 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.05)
tree_50_nested_ou_1 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 1)
tree_50_nested_ou_0.95 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 0.95)
tree_50_nested_ou_0.75 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 0.75)
tree_50_nested_ou_0.5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 0.5)
tree_50_nested_ou_0.25 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 0.25)
tree_50_nested_ou_0.05 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="nestedOU", beta=1, alpha=exp(1) * 0.05)
tree_100_nested_ou_1 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 1)
tree_100_nested_ou_0.95 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 0.95)
tree_100_nested_ou_0.75 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 0.75)
tree_100_nested_ou_0.5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 0.5)
tree_100_nested_ou_0.25 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 0.25)
tree_100_nested_ou_0.05 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="nestedOU", beta=1, alpha=exp(1) * 0.05)
tree_200_nested_ou_1 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 1)
tree_200_nested_ou_0.95 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 0.95)
tree_200_nested_ou_0.75 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 0.75)
tree_200_nested_ou_0.5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 0.5)
tree_200_nested_ou_0.25 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 0.25)
tree_200_nested_ou_0.05 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="nestedOU", beta=1, alpha=exp(1) * 0.05)
tree_500_nested_ou_1 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 1)
tree_500_nested_ou_0.95 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 0.95)
tree_500_nested_ou_0.75 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 0.75)
tree_500_nested_ou_0.5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 0.5)
tree_500_nested_ou_0.25 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 0.25)
tree_500_nested_ou_0.05 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="nestedOU", beta=1, alpha=exp(1) * 0.05)
tree_50_nested_rate_rate2 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="rateShift", beta=1, shiftRate=2)
tree_50_nested_rate_rate5 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="rateShift", beta=1, shiftRate=5)
tree_50_nested_rate_rate10 <- cladeModeSim(n=1000, phy=tree_50, node=node50, model="rateShift", beta=1, shiftRate=10)
tree_100_nested_rate_rate2 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="rateShift", beta=1, shiftRate=2)
tree_100_nested_rate_rate5 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="rateShift", beta=1, shiftRate=5)
tree_100_nested_rate_rate10 <- cladeModeSim(n=1000, phy=tree_100, node=node100, model="rateShift", beta=1, shiftRate=10)
tree_200_nested_rate_rate2 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="rateShift", beta=1, shiftRate=2)
tree_200_nested_rate_rate5 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="rateShift", beta=1, shiftRate=5)
tree_200_nested_rate_rate10 <- cladeModeSim(n=1000, phy=tree_200, node=node200, model="rateShift", beta=1, shiftRate=10)
tree_500_nested_rate_rate2 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="rateShift", beta=1, shiftRate=2)
tree_500_nested_rate_rate5 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="rateShift", beta=1, shiftRate=5)
tree_500_nested_rate_rate10 <- cladeModeSim(n=1000, phy=tree_500, node=node500, model="rateShift", beta=1, shiftRate=10)
tree_50_nested_eb_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 1)
tree_50_nested_eb_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 0.95)
tree_50_nested_eb_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 0.75)
tree_50_nested_eb_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 0.5)
tree_50_nested_eb_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 0.25)
tree_50_nested_eb_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEB", beta=1, a=max_50_100_tips * 0.05)
tree_100_nested_eb_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 1)
tree_100_nested_eb_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 0.95)
tree_100_nested_eb_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 0.75)
tree_100_nested_eb_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 0.5)
tree_100_nested_eb_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 0.25)
tree_100_nested_eb_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEB", beta=1, a=max_50_100_tips * 0.05)
tree_200_nested_eb_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 1)
tree_200_nested_eb_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 0.95)
tree_200_nested_eb_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 0.75)
tree_200_nested_eb_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 0.5)
tree_200_nested_eb_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 0.25)
tree_200_nested_eb_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEB", beta=1, a=max_200_500_tips * 0.05)
tree_500_nested_eb_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 1)
tree_500_nested_eb_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 0.95)
tree_500_nested_eb_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 0.75)
tree_500_nested_eb_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 0.5)
tree_500_nested_eb_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 0.25)
tree_500_nested_eb_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEB", beta=1, a=max_200_500_tips * 0.05)
tree_50_nested_eb_rate2_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 1)
tree_50_nested_eb_rate2_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate2_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate2_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate2_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate2_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.05)
tree_50_nested_eb_rate5_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 1)
tree_50_nested_eb_rate5_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate5_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate5_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate5_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate5_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.05)
tree_50_nested_eb_rate10_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 1)
tree_50_nested_eb_rate10_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.95)
tree_50_nested_eb_rate10_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.75)
tree_50_nested_eb_rate10_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.5)
tree_50_nested_eb_rate10_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.25)
tree_50_nested_eb_rate10_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_50, node=nodeSmall50, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate2_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 1)
tree_100_nested_eb_rate2_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate2_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate2_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate2_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate2_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=2, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate5_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 1)
tree_100_nested_eb_rate5_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate5_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate5_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate5_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate5_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=5, a=max_50_100_tips * 0.05)
tree_100_nested_eb_rate10_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 1)
tree_100_nested_eb_rate10_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.95)
tree_100_nested_eb_rate10_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.75)
tree_100_nested_eb_rate10_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.5)
tree_100_nested_eb_rate10_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.25)
tree_100_nested_eb_rate10_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_100, node=nodeSmall100, model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips * 0.05)
tree_200_nested_eb_rate2_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 1)
tree_200_nested_eb_rate2_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate2_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate2_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate2_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate2_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.05)
tree_200_nested_eb_rate5_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 1)
tree_200_nested_eb_rate5_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate5_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate5_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate5_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate5_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.05)
tree_200_nested_eb_rate10_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 1)
tree_200_nested_eb_rate10_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.95)
tree_200_nested_eb_rate10_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.75)
tree_200_nested_eb_rate10_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.5)
tree_200_nested_eb_rate10_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.25)
tree_200_nested_eb_rate10_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_200, node=nodeSmall200, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate2_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 1)
tree_500_nested_eb_rate2_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate2_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate2_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate2_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate2_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=2, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate5_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 1)
tree_500_nested_eb_rate5_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate5_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate5_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate5_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate5_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=5, a=max_200_500_tips * 0.05)
tree_500_nested_eb_rate10_1_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 1)
tree_500_nested_eb_rate10_0.95_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.95)
tree_500_nested_eb_rate10_0.75_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.75)
tree_500_nested_eb_rate10_0.5_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.5)
tree_500_nested_eb_rate10_0.25_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.25)
tree_500_nested_eb_rate10_0.05_nodeSmall <- cladeModeSim(n=1000, phy=tree_500, node=nodeSmall500, model="nestedEBRate", beta=1, ebBeta=10, a=max_200_500_tips * 0.05)
tree_100_nested_eb_1_node5 <- cladeModeSim(n=1000, phy=tree_100, node=rep(105, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node5 <- cladeModeSim(n=1000, phy=tree_100, node=rep(105, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node6 <- cladeModeSim(n=1000, phy=tree_100, node=rep(107, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node6 <- cladeModeSim(n=1000, phy=tree_100, node=rep(107, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node7 <- cladeModeSim(n=1000, phy=tree_100, node=rep(126, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node7 <- cladeModeSim(n=1000, phy=tree_100, node=rep(126, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node8 <- cladeModeSim(n=1000, phy=tree_100, node=rep(111, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node8 <- cladeModeSim(n=1000, phy=tree_100, node=rep(111, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node9 <- cladeModeSim(n=1000, phy=tree_100, node=rep(138, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node9 <- cladeModeSim(n=1000, phy=tree_100, node=rep(138, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node10 <- cladeModeSim(n=1000, phy=tree_100, node=rep(147, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node10 <- cladeModeSim(n=1000, phy=tree_100, node=rep(147, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node11 <- cladeModeSim(n=1000, phy=tree_100, node=rep(136, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node11 <- cladeModeSim(n=1000, phy=tree_100, node=rep(136, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node12 <- cladeModeSim(n=1000, phy=tree_100, node=rep(129, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node12 <- cladeModeSim(n=1000, phy=tree_100, node=rep(129, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node17 <- cladeModeSim(n=1000, phy=tree_100, node=rep(118, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node17 <- cladeModeSim(n=1000, phy=tree_100, node=rep(118, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node19 <- cladeModeSim(n=1000, phy=tree_100, node=rep(110, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node19 <- cladeModeSim(n=1000, phy=tree_100, node=rep(110, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node20 <- cladeModeSim(n=1000, phy=tree_100, node=rep(130, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node20 <- cladeModeSim(n=1000, phy=tree_100, node=rep(130, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node27 <- cladeModeSim(n=1000, phy=tree_100, node=rep(104, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node27 <- cladeModeSim(n=1000, phy=tree_100, node=rep(104, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node32 <- cladeModeSim(n=1000, phy=tree_100, node=rep(102, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node32 <- cladeModeSim(n=1000, phy=tree_100, node=rep(102, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node38 <- cladeModeSim(n=1000, phy=tree_100, node=rep(121, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node38 <- cladeModeSim(n=1000, phy=tree_100, node=rep(121, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node46 <- cladeModeSim(n=1000, phy=tree_100, node=rep(120, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node46 <- cladeModeSim(n=1000, phy=tree_100, node=rep(120, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node54 <- cladeModeSim(n=1000, phy=tree_100, node=rep(116, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node54 <- cladeModeSim(n=1000, phy=tree_100, node=rep(116, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node57 <- cladeModeSim(n=1000, phy=tree_100, node=rep(113, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node57 <- cladeModeSim(n=1000, phy=tree_100, node=rep(113, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node62 <- cladeModeSim(n=1000, phy=tree_100, node=rep(106, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node62 <- cladeModeSim(n=1000, phy=tree_100, node=rep(106, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)
tree_100_nested_eb_1_node68 <- cladeModeSim(n=1000, phy=tree_100, node=rep(103, 1000), model="nestedEB", beta=1, a=max_50_100_tips)
tree_100_nested_eb_rate10_1_node68 <- cladeModeSim(n=1000, phy=tree_100, node=rep(103, 1000), model="nestedEBRate", beta=1, ebBeta=10, a=max_50_100_tips)